Bug 436845 - RFE: Multiorg - ability to visually distinguish between orgs
RFE: Multiorg - ability to visually distinguish between orgs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.4
All Linux
low Severity low (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks: sat-nextgen
  Show dependency treegraph
 
Reported: 2008-03-10 15:08 EDT by Máirín Duffy
Modified: 2014-09-18 13:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-03 11:56:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2008-03-10 15:08:49 EDT
Description of problem:

An EMEA customer (unknown who, Tom Madden collected the request) asked if there
would be a way to visually distinguish between orgs on Satellite. For example,
say I am rackspace and I use Satellite to manage orgs for different companies
per org. If I log into org 2 maybe the ui would be blue with a jetblue logo, org
3 maybe green with a hess logo, etc. (if jetblue and hess were rackspace
customers, just examples :) ) These visual queues may help prevent errors as
right now there is no good, persistent visual indicator of which org you are
logged into.

This would be very accomplishable using CSS. A bit of development work will be
required though. Here is what we would need to do:

1) Add a hook for the CSS to identify which org's style to display - this can be
as simple as adding an ID or org to the body tag with the org number. For
example: <body id="org24">

2) A simple web interface per org (likely under Satellite Tools) where you can
upload your org's logo and select a color (we could allow hex color codes or
just give a basic set of 24 colors or something to pick from). This would save
the logo image to an appropriate dir on the Satellite and write out a css class
(could be a separate file as long as an include line is added in the main css
file0 for the org, like so:

body#org24 {
  background-image: url(/img/orglogos/org24.png;
  background-color: purple;
}

(this is a very simplistic example but you see what I mean)

You would need to be able to go in afterwards and remove or update the logo, and
remove or change the color as well.

3) It would also be nice to add the human-readable name of an org to the site
template somewhere, perhaps near the login tools in the upper right corner.
Comment 1 Clifford Perry 2009-08-21 09:14:08 EDT
Item #3 is within Satellite 530 GA code. None of the other ideas are.
Comment 4 Bryan Kearney 2014-04-03 11:56:31 EDT
This feature request is being met by Red Hat Satellite 6 (GA later this year 2014) as follows: 

Satellite 6 delivers a menu navigation with the Organization Name in the header. The header remains at the top of the browser even when scrolling to the bottom of a large page. A user can always look in the top left and know what the current org is.

Closing this as CURRENTRELEASE - please feel free to re-open if you feel that the above implementation does not fulfill the requirements, or open a new request for any additional, Satellite 6 specific improvements.

Note You need to log in before you can comment on or make changes to this bug.